﻿


@property --swing-x {
    initial-value: 0;
    inherits: false;
    syntax: '<integer>';
}

@property --swing-y {
    initial-value: 0;
    inherits: false;
    syntax: '<integer>';
}

@-webkit-keyframes swing {
    0% {
        --swing-x: -100;
        --swing-y: -100;
    }

    50% {
        --swing-y: 0;
    }

    100% {
        --swing-y: -100;
        --swing-x: 100;
    }
}

@keyframes swing {
    0% {
        --swing-x: -100;
        --swing-y: -100;
    }

    50% {
        --swing-y: 0;
    }

    100% {
        --swing-y: -100;
        --swing-x: 100;
    }
}